
-- | Define several constants used throughout all libraries depending on
-- Biobase.

module Biobase.Constants where



-- * energy "Infinities" for Int's

-- | maxBound on Int gives problem, if we try something like maxBound +
-- maxBound which happens very often. 'eInf' is used for settings lookup
-- tables, etc while comparisons are against 'eMax'.

eInf :: Int
eInf = 10000000

eMax :: Int
eMax = eInf `div` 10



-- * floating infinity

-- here, we choose a real infinity and let the ieee handle it

fInf :: Double
fInf = 1/0
